# Update a Custom Dictionary Expression

```
PATCH 
/custom-dictionary-expressions/:id
```

Update a Custom Dictionary Expression.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

The updated Custom Dictionary Expression.

## Operation spec

```json
{
  "method": "patch",
  "path": "/custom-dictionary-expressions/{id}",
  "operationId": "update-user-custom-dictionary-expression",
  "parameters": [
    {
      "name": "id",
      "description": "The unique identifier of the Custom Dictionary Expression.",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "format": "uuid",
        "description": "A unique identifier.",
        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
        "title": "uuid"
      },
      "example": "23A9981B-9E46-4ADB-BB0B-8E406C199840"
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "description": "Only provide the fields you want to patch.",
          "x-patch-properties": [
            "expression",
            "speech_locale"
          ],
          "properties": {
            "expression": {
              "type": "string",
              "minLength": 1,
              "maxLength": 64,
              "description": "The expression for which you want an improved transcription accuracy.",
              "example": "metformin"
            },
            "speech_locale": {
              "description": "The locale of the expression.",
              "type": "string",
              "enum": [
                "ENGLISH_US",
                "ENGLISH_UK",
                "SPANISH_ES",
                "SPANISH_MX",
                "FRENCH_FR",
                "ARABIC_EG",
                "ARABIC_LB",
                "ARABIC_MA",
                "ARABIC_SA",
                "ARMENIAN_AM",
                "BENGALI_IN",
                "CANTONESE_CN",
                "CROATIAN_HR",
                "FILIPINO_PH",
                "GERMAN_DE",
                "GREEK_GR",
                "GUJARATI_IN",
                "HEBREW_IL",
                "HINDI_IN",
                "ITALIAN_IT",
                "JAPANESE_JP",
                "KHMER_KH",
                "KOREAN_KR",
                "MANDARIN_CN",
                "PERSIAN_IR",
                "POLISH_PL",
                "PORTUGUESE_PT",
                "PUNJABI_IN",
                "RUSSIAN_RU",
                "SERBIAN_RS",
                "TAMIL_IN",
                "TELUGU_IN",
                "THAI_TH",
                "URDU_IN",
                "VIETNAMESE_VN",
                "HAITIAN_HT"
              ],
              "example": "ENGLISH_US",
              "title": "speech_locale"
            }
          }
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "The updated Custom Dictionary Expression.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "description": "A Custom Dictionary Expression represents a custom expression that helps improve transcription accuracy.",
            "properties": {
              "id": {
                "type": "string",
                "format": "uuid",
                "description": "Unique identifier of the Custom Dictionary Expression."
              },
              "expression": {
                "type": "string",
                "minLength": 1,
                "maxLength": 64,
                "description": "The expression for which an improved transcription accuracy is requested.",
                "example": "metformin"
              },
              "speech_locale": {
                "description": "The locale of the expression.",
                "type": "string",
                "enum": [
                  "ENGLISH_US",
                  "ENGLISH_UK",
                  "SPANISH_ES",
                  "SPANISH_MX",
                  "FRENCH_FR",
                  "ARABIC_EG",
                  "ARABIC_LB",
                  "ARABIC_MA",
                  "ARABIC_SA",
                  "ARMENIAN_AM",
                  "BENGALI_IN",
                  "CANTONESE_CN",
                  "CROATIAN_HR",
                  "FILIPINO_PH",
                  "GERMAN_DE",
                  "GREEK_GR",
                  "GUJARATI_IN",
                  "HEBREW_IL",
                  "HINDI_IN",
                  "ITALIAN_IT",
                  "JAPANESE_JP",
                  "KHMER_KH",
                  "KOREAN_KR",
                  "MANDARIN_CN",
                  "PERSIAN_IR",
                  "POLISH_PL",
                  "PORTUGUESE_PT",
                  "PUNJABI_IN",
                  "RUSSIAN_RU",
                  "SERBIAN_RS",
                  "TAMIL_IN",
                  "TELUGU_IN",
                  "THAI_TH",
                  "URDU_IN",
                  "VIETNAMESE_VN",
                  "HAITIAN_HT"
                ],
                "example": "ENGLISH_US",
                "title": "speech_locale"
              }
            },
            "required": [
              "id",
              "expression",
              "speech_locale"
            ],
            "title": "custom_dictionary_expression"
          }
        }
      }
    }
  }
}
```
